const width = 960;
const height = 500;

const randomX = d3.randomNormal(width / 2, width / 7);
const data = Array(500).fill(0).map(randomX);

const palettes = [
  { bg: '#05445E', fg: '#D4F1F4' }, // teals
  { bg: '#7EC8E3', fg: '#000C66' }, // blues
  { bg: '#3A4A3D', fg: '#F4B9B8' }, // dark green & pink
  { bg: '#222222', fg: '#eeeeee' }, // grays
  { bg: '#211522', fg: '#C197D2' }, // violets
  { bg: '#B27260', fg: '#F7EEE2' }, // pinks
];

const svg = d3
  .select('body')
  .append('svg')
  .attr('width', width)
  .attr('height', height)
  .attr('fill', '#222');

const bg = svg
  .append('rect')
  .attr('width', width)
  .attr('height', height)
  .attr('fill', '#eee');

const fg = svg
  .selectAll('rect')
  .data(data)
  .enter()
  .append('rect')
  .attr('x', (d) => d - 12.5)
  .attr('width', 25)
  .attr('height', height)
  .attr('opacity', 0.02)
  .attr('fill', '#222');

setInterval(() => {
  const pal = palettes[Math.floor(Math.random() * palettes.length)];
  bg.transition().duration(1000).attr('fill', pal.bg);
  fg.transition().duration(1000).attr('fill', pal.fg);
}, 5000);
